Package org.h2.api

# Interface TableEngine

All Known Implementing Classes:
  `TestTableEngines.EndlessTableEngine`, `TestTableEngines.OneRowTableEngine`, `TestTableEngines.TreeSetIndexTableEngine`

public interface TableEngine
A class that implements this interface can create custom table implementations.

## Method Summary

Modifier and Type
Method
Description
`Table`
`createTable(CreateTableData data)`
Create new table.

## Method Details

### createTable

Table createTable(CreateTableData data)
Create new table.

Parameters:
  `data` - the data to construct the table
Returns:
  the created table